#include "headers.h"
#include "mypad.h"

Mypad::Mypad()
{
	Reset();
}

Mypad::~Mypad()
{
}

void Mypad::Reset()
{
	mode	= 0;
	x		= 0;
	y		= 0;
	valid	= false;
	buttons	= 0;
}

void Mypad::Open(LOGCONTEXT _lc)
{
	Reset();
	lc = _lc;
}

void Mypad::SetStatusMessage(char *message)
{
	char buf[256];
	sprintf(buf, "Mode 0x%02x\n", mode);
	strcat(message, buf);
}

void Mypad::Out20(uint data)
{
	// ڍוs
	// daVincĩhCoł0x4eMĂ
	mode = data;
}

uint Mypad::SetValue(byte* buf, PACKET& packet, bool _valid, DWORD _tick)
{
	const int max_x = 3000;
	const int max_y = 2600;

	uint len = 0;
	if (_valid)
	{
		if (((buttons ^ packet.pkButtons) & 0x0f) != 0 || _tick - tick > 15)
		{
			x = Limit((max_x * packet.pkX) / lc.lcInExtX, max_x, 0);
			y = Limit((max_y * packet.pkY) / lc.lcInExtY, max_y, 0);
			buttons = packet.pkButtons;
			buf[0] = 0x40 | ((buttons & 0x0f) << 2);
			buf[1] = x & 0x3f;
			buf[2] = (x >> 6) & 0x3f;
			buf[3] = y & 0x3f;
			buf[4] = (y >> 6) & 0x3f;
			tick = _tick;
			len = 5;
		}
	}
	valid = _valid;

	return len;
}
