#ifndef INCL_NEOS_H
#define INCL_NEOS_H

#include "device.h"
#include "misc.h"
#include "if/ifcommon.h"

// ---------------------------------------------------------------------------

class Neos
{
public:
	Neos();
	~Neos();
	void Reset();
	void Open(int _sensitivity, LOGCONTEXT _lc);

	void Out40(uint, int);
	void Out44(uint);
	uint In45();
	void SetValue(PACKET& packet, bool valid);

private:
	CRITICAL_SECTION cs;
	LOGCONTEXT lc;
	bool	strobe;
	uint	reg;
	int		mode;
	int		x;
	int		y;
	int		sensitivity;
	bool	valid;
	DWORD	buttons;
	int		sx;
	int		sy;
	bool	sv;
	int		vx;
	int		vy;
	int		tick;
	uint	port45;
};

#endif // INCL_NEOS_H
